vim.bo.textwidth  = 0
vim.bo.wrapmargin = 0

local lsp_utils      = require('lsp-utils')
local puresls_config = lsp_utils.pursls_config()

vim.lsp.start(puresls_config)

vim.api.nvim_create_autocmd({ "BufReadPre", "BufWinEnter" }, {
  pattern  = { "*.spago/*" },
  callback = function()
    vim.bo.buflisted = false
  end,
})

-- Make PureScript use Haskell parser and queries.
vim.treesitter.language.register('haskell', 'purescript')
